Bug 474387 - systemtap-0.7.2-2 crashing kernel-2.6.18-92 on ia64
systemtap-0.7.2-2 crashing kernel-2.6.18-92 on ia64
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: systemtap (Show other bugs)
5.3
ia64 Linux
medium Severity medium
: rc
: ---
Assigned To: Frank Ch. Eigler
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 11:19 EST by Petr Muller
Modified: 2016-09-19 22:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-16 08:21:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Muller 2008-12-03 11:19:57 EST
Description of problem:
I'm testing the following script:
====================================
# cat mod.stp
probe module("ext3").function("*") {
  printf("%s\\n",probefunc())
}
====================================

Runnning this script writes names of functions correctly as expected, but when you try to terminate it with ctrl+C, the kernel crashes (probably). When I tested it, my sessions hang and I was unable to log in with another ssh session. After some time the boxes were awaken again, rebooted. Nothing unusual was in /var/log/messages. It may possibly be a kernel bug, stap bug, or both.

Version-Release number of selected component (if applicable):
systemtap-0.7.2-2
kernel-2.6.18-92

How reproducible:
always


Steps to Reproduce:
1. create mod.stp as above
2. stap -V mod.stp
3. after a while, hit ctrl+C

Actual results:
hang

Expected results:
correct termination

Additional info:
This doesn't occur on 2.6.18-124 kernel.

Note You need to log in before you can comment on or make changes to this bug.